org.eclnt.jsfserver.util

## Class SessionAbstractionHttpSessionMockup

- java.lang.Object
- - org.eclnt.jsfserver.util.SessionAbstractionHttpSession
  - - org.eclnt.jsfserver.util.SessionAbstractionHttpSessionMockup

- All Implemented Interfaces:
    ISessionAbstraction

      public class SessionAbstractionHttpSessionMockup
      extends SessionAbstractionHttpSession

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionAbstractionHttpSessionMockup(java.lang.String sessionId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAttribute(java.lang.String name)`
    `java.util.Enumeration<java.lang.String>` | `getAttributeNames()`
    `java.lang.String` | `getId()`
    `void` | `removeAttribute(java.lang.String name)`
    `void` | `setAttribute(java.lang.String name, java.lang.Object value)`

    - ### Methods inherited from class org.eclnt.jsfserver.util.SessionAbstractionHttpSession

      `addListener, getSession, invalidate, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionAbstractionHttpSessionMockup

          public SessionAbstractionHttpSessionMockup(java.lang.String sessionId)

  - ### Method Detail

    - #### setAttribute

          public void setAttribute(java.lang.String name,
                                   java.lang.Object value)

      Specified by:
        `setAttribute` in interface `ISessionAbstraction`
      Overrides:
        `setAttribute` in class `SessionAbstractionHttpSession`

    - #### getAttribute

          public java.lang.Object getAttribute(java.lang.String name)

      Specified by:
        `getAttribute` in interface `ISessionAbstraction`
      Overrides:
        `getAttribute` in class `SessionAbstractionHttpSession`

    - #### getAttributeNames

          public java.util.Enumeration<java.lang.String> getAttributeNames()

      Specified by:
        `getAttributeNames` in interface `ISessionAbstraction`
      Overrides:
        `getAttributeNames` in class `SessionAbstractionHttpSession`

    - #### removeAttribute

          public void removeAttribute(java.lang.String name)

      Specified by:
        `removeAttribute` in interface `ISessionAbstraction`
      Overrides:
        `removeAttribute` in class `SessionAbstractionHttpSession`

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `ISessionAbstraction`
      Overrides:
        `getId` in class `SessionAbstractionHttpSession`

Copyright © CaptainCasa Gmbh. All Rights Reserved.